@import "../../../../mixins.scss";
// @import "~react-table/react-table.css"; (New Component)


.order-track,
.customer-ot-dashboard {
  display: flex;
  flex-direction: column;
  .charts-container .graph-page-header {
    display: flex;
    gap: 20px;
  }
  .dashboard-order-tracking__table-top {
    display: flex;
    font-size: var(--font-m);
    font-weight: 600;
    background: white;
    .dashboard-order-tracking__search {
      max-width: 300px;
      align-self: center;
      .field__label {
        display: none !important;
      }
      .field__error {
        display: none !important;
      }
    }
    .filters {
      line-height: 3;
      padding: 5px 0;
      display: flex;
      max-width: 65%;

      span.filter__label {
        display: inline-block;
        min-width: 130px;
        align-self: center;
      }
      .tiles {
        display: flex;
        padding: 7px 0 0 0;
        flex-wrap: wrap;
        .filter-tile {
          border: 1px solid #ccc;
          padding: 0px 5px;
          display: flex;
          height: 23px;
          justify-content: space-between;
          line-height: 1.7;
          margin: 2px 0 0 5px;
          background: white;
          img.d-pointer.icon-remove {
            width: 14px;
            border-left: 1px solid #ccc;
            padding: 0 0 0 5px;
            margin: 0 0 0 3px;
          }
        }
        .clear-filter-applied {
          color: red;
          cursor: pointer;
        }
      }
      .tiles > * {
        flex: auto auto auto;
      }
    }
    img.filter-img {
      filter: invert(1);
      padding: 0 4px 0px 5px;
    }
    .no-filter-applied {
      font-size: var(--font-s);
      font-weight: 100;
      line-height: 2;
      padding: 0px 10px;
      color: #777;
    }
    .total-count {
      padding: 0px 5px;
      align-self: center;
      span {
        color: var(--grey-label);
      }
    }
  }
}

.order-tracking-listing {
  padding: 0 5px;
  margin-top: 10px;
  .heading {
    min-width: 150px;
    line-height: 4;
  }
  .ingram-data-fieds {
    color: #00a3c1;
  }
  .d-flex-ingram-tooltip {
    display: flex;
    .ingram-tooltip {
      margin: 0 0 0 1px;
      img {
        width: 10px;
      }
    }
  }
}
